server {
    listen       10001;
    listen       [::]:10001;
    server_name  im.sailforce.xyz;
    root         /var/www/html;

    client_max_body_size 35m;
    # Load configuration files for the default server block.
    location / {
       proxy_pass   http://10.242.229.233:10001;
# Core WebSocket Headers
        proxy_http_version 1.1;
        proxy_set_header Upgrade $http_upgrade;
        proxy_set_header Connection "upgrade";

        # Standard Proxy Headers
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto $scheme;
       proxy_connect_timeout 6000s;
       proxy_read_timeout 3600s;
       proxy_send_timeout 6000s;
       proxy_buffer_size 64k;
       proxy_buffers 4 32k;
       proxy_busy_buffers_size 64k;
       proxy_temp_file_write_size 64k;
    }
    
    error_page 404 /404.html;
        location = /40x.html {
    }

    error_page 500 502 503 504 /50x.html;
        location = /50x.html {
    }

}


